I have a bunch of databases to backup. The target versions are across the board (8.0.5, 8.1.7,,

Planning for the future, do you see any reason why I ought to use a 10g catalog to backup the above? It's quite possible that the some of the above targets will be upgraded to 10g down the line. But from the RMAN compatibility matrix that I've seen, 9i RMAN appears to UPWARDLY compatible with 10g targets. So why bother with a release (10.1) that hasn't been completely absorbed by the market yet? Thoughts anyone?

In the past, I've never had the opportunity to plan, phase out and upgrade multiple target databases (different versions) and a single catalog..and so, don't have much experience dealing with RMAN compatibility issues.